Get exception details
Returns full exception file details including per-loan exception records and exception history.
GET
/
v1
/
api
/
originator
/
sc
/
exceptions
/
{exceptionFileId}
Get exception details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
using RestSharp;
var options = new RestClientOptions("https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
import Foundation
let url = URL(string: "https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId}")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"exception_file_id": "excfile_abc123",
"deal_id": "deal_abc123",
"sc_job_id": "scjob_abc123",
"exceptions": [
{
"loan_id": "loan_xyz789",
"rule": "MAX_LTV",
"value": 0.92,
"threshold": 0.85,
"reason": "LTV exceeds maximum allowed ratio"
}
],
"history": [
{}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Exception File ID
Example:
"excfile_abc123"
⌘I
Get exception details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.9squid.com/v1/api/originator/sc/exceptions/{exceptionFileId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)